Size = c(100,500,1000,5000)
Probs = c(.0278,.0556,.0833,.1111,.1389,.1667,.1389,.1111,.0833,.0556,.0278)
DiceFreq = NULL


chap3c = function(Size, Probs, DiceFreq) {

# R Additive Probability Function
# Change Size to desired sample sizes

# INPUT Size, Probs, and DiceFreq values

# PROCESS
for (SampleSize in Size) {
 Die1 = sample(1:6,size=SampleSize,replace=T)
 Die2 = sample(1:6,size=SampleSize,replace=T)
 DiceSum = Die1 + Die2
 DiceFreq = cbind(DiceFreq,round(table(factor(DiceSum,levels=2:12))/SampleSize,digits=4))
 }

#OUTPUT
outputMatrix = matrix(cbind(DiceFreq,Probs),11,length(Size)+1,dimnames=list(2:12,c(paste("N=",Size),"TRUE")))
cat("\n")
cat("\n")
cat("PROGRAM OUTPUT","\n")
cat("\n")
print (outputMatrix)
}

chap3c(Size, Probs, DiceFreq)
